=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install --parallel
	cp debian/qmpdclient-64.png debian/qmpdclient/usr/share/icons/hicolor/64x64/apps/qmpdclient.png
