=== debian/watch ===
version=3
http://githubredir.debian.net/github/Voker57/qmpdclient/([\d\.]*).tar.gz
