## qmpdclient 1.2.2+git20151118

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,10 @@
 SET (QT_USE_QTNETWORK TRUE)
 SET (QT_USE_QTXMLPATTERNS TRUE)
 SET (QT_USE_QTXML TRUE)
+
+if(WIN32)
+	SET (QT_USE_QTMAIN TRUE)
+endif()
 
 if(NOT DEFINED VERSION)
 	find_program (GIT_CMD git)
@@ -226,7 +230,7 @@
 
 if(WIN32)
 	list(APPEND QMPDClient_srcs src/notifications_nodbus.cpp
-			src/qmpdclient_win.cpp)
+			src/qmpdclient_win.cpp icons/resource.rc)
 endif()
 
 include(${QT_USE_FILE})
@@ -288,9 +292,13 @@
 		target_link_libraries(qmpdclient ${X11_LIBRARIES})
 	endif()
 endif()
-
-install(TARGETS qmpdclient DESTINATION bin)
+if(WIN32)
+	target_link_libraries(qmpdclient ws2_32)
+	set_target_properties(qmpdclient PROPERTIES WIN32_EXECUTABLE TRUE)
+endif()
+
 if(UNIX)
+	install(TARGETS qmpdclient DESTINATION bin)
 	install(FILES qmpdclient.desktop DESTINATION share/applications)
 	install(FILES icons/64x64/qmpdclient.png DESTINATION share/icons/hicolor/64x64/apps/)
 	install(FILES icons/48x48/qmpdclient.png DESTINATION share/icons/hicolor/48x48/apps/)
@@ -300,5 +308,6 @@
 	install(FILES ${COMPILED_TRANSLATIONS} DESTINATION share/QMPDClient/translations)
 endif()
 if(WIN32)
+	install(TARGETS qmpdclient DESTINATION .)
 	install(FILES ${COMPILED_TRANSLATIONS} DESTINATION translations)
 endif()
