=== debian/changelog ===
qmpdclient (1.2.2+git20151118-1) unstable; urgency=medium

  * Orphan the package
  * Package the latest upstream Git snapshot (2015-11-18)
  * Link with system libmpd, add libmpd-dev and libglib2.0-dev to B-D
  * Use the upstream icon for 64x64, as it is correct now
  * Bump Standards-Version: to 3.9.8 (no change needed)
  * Drop fix-fr-translation.patch, applied upstream
  * Fix URLs in Vcs-* fields
  * Fix license exception naming in d/copyright

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 23 May 2016 12:08:35 +0500
