=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qmpdclient
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 9), cmake, libqt4-dev, libx11-dev
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+# libglib2.0-dev is added because libmpd-dev needs it but doesn't depend on it, see #518429
+Build-Depends: debhelper (>= 9), cmake, libqt4-dev, libx11-dev, libglib2.0-dev, libmpd-dev
+Standards-Version: 3.9.8
 Homepage: http://bitcheese.net/wiki/QMPDClient
-Vcs-Git: git://git.debian.org/pkg-mpd/qmpdclient.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mpd/qmpdclient.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-mpd/qmpdclient.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mpd/qmpdclient.git
 
 Package: qmpdclient
 Architecture: any
